Bug 1236481 - package does not include command
Summary: package does not include command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-lfe
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-29 08:08 UTC by piervit
Modified: 2016-03-11 13:27 UTC (History)
4 users (show)

Fixed In Version: erlang-lfe-0.10.1-2.fc23
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-11 13:27:34 UTC
Type: Bug


Attachments (Terms of Use)
Fedpkg specfile patch, fixes the bug (2.73 KB, patch)
2016-02-10 14:45 UTC, Martin Langhoff
no flags Details | Diff

Description piervit 2015-06-29 08:08:34 UTC
Description of problem:

According to the lfe doc (https://github.com/lfe/lfe/blob/develop/README.md), post the installation of lfe, there should be an "lfe" command available. 

Using the yum install version, I don't get an executable file:

$ repoquery -l erlang-lfe
/usr/lib64/erlang/lib/lfe-0.9.0
/usr/lib64/erlang/lib/lfe-0.9.0/ebin
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe.app
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_bits.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_codegen.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_comp.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_env.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_eval.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_gen.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_init.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_io.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_io_format.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_io_pretty.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_lib.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_lint.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_macro.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_macro_include.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_macro_record.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_ms.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_parse.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_pmod.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_qlc.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_scan.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_shell.beam
/usr/lib64/erlang/lib/lfe-0.9.0/ebin/lfe_trans.beam
/usr/share/doc/erlang-lfe
/usr/share/doc/erlang-lfe/LICENSE
/usr/share/doc/erlang-lfe/README.md
/usr/share/doc/erlang-lfe/doc
/usr/share/doc/erlang-lfe/doc/lfe_bits.txt
/usr/share/doc/erlang-lfe/doc/lfe_comp.txt
/usr/share/doc/erlang-lfe/doc/lfe_gen.txt
/usr/share/doc/erlang-lfe/doc/lfe_io.txt
/usr/share/doc/erlang-lfe/doc/lfe_lib.txt
/usr/share/doc/erlang-lfe/doc/lfe_macro.txt
/usr/share/doc/erlang-lfe/doc/lfe_shell.txt
/usr/share/doc/erlang-lfe/doc/lfescript.txt
/usr/share/doc/erlang-lfe/doc/user_guide.txt
/usr/share/doc/erlang-lfe/doc/version_history.md
/usr/share/doc/erlang-lfe/examples
/usr/share/doc/erlang-lfe/examples/church.lfe
/usr/share/doc/erlang-lfe/examples/core-macros.lfe
/usr/share/doc/erlang-lfe/examples/ets_demo.lfe
/usr/share/doc/erlang-lfe/examples/fizzbuzz.lfe
/usr/share/doc/erlang-lfe/examples/gps1.lfe
/usr/share/doc/erlang-lfe/examples/guessing-game.lfe
/usr/share/doc/erlang-lfe/examples/http-async.lfe
/usr/share/doc/erlang-lfe/examples/http-sync.lfe
/usr/share/doc/erlang-lfe/examples/internal-state.lfe
/usr/share/doc/erlang-lfe/examples/joes-fav.lfe
/usr/share/doc/erlang-lfe/examples/lfe_eval.lfe
/usr/share/doc/erlang-lfe/examples/messenger-back.lfe
/usr/share/doc/erlang-lfe/examples/messenger.lfe
/usr/share/doc/erlang-lfe/examples/mnesia_demo.lfe
/usr/share/doc/erlang-lfe/examples/object-via-closure.lfe
/usr/share/doc/erlang-lfe/examples/object-via-process.lfe
/usr/share/doc/erlang-lfe/examples/ping_pong.lfe
/usr/share/doc/erlang-lfe/examples/ring.lfe
/usr/share/doc/erlang-lfe/examples/sample-lfe-shellscript
/usr/share/doc/erlang-lfe/examples/sample-lfescript
/usr/share/doc/erlang-lfe/examples/simple-erl-exercises.lfe



Version-Release number of selected component (if applicable): 0.9.0


How reproducible:

Steps to Reproduce:
1. yum install erlang-lfe
2. try to execute it (or repoquery -l erlang-lfe)

Actual results:

You will not find an lfe command.

Expected results:

You would like an lfe command.

Comment 1 Fedora End Of Life 2015-11-04 11:19:53 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-12-02 14:05:38 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Martin Langhoff 2016-02-04 14:35:35 UTC
I am hitting this problem as well. LFE should provide a /usr/bin/lfe and /usr/bin/lfescript to meet the expectations of software that uses lfe.

This RPM currently ships sample scripts that start with `#!/usr/bin/env lfe`; the goal IMO should be for those sample scripts to work, should the user make them executable.

Comment 4 Martin Langhoff 2016-02-10 14:45:16 UTC
Created attachment 1122819 [details]
Fedpkg specfile patch, fixes the bug

With this applied, we get a full bin and ebin, and bin commands are symlinked from bindir.

Comment 5 Martin Langhoff 2016-02-10 14:46:29 UTC
I don't have commit rights in the fedpkg repo :-) -- if you want me as comaintainer...

Successful scratch build at http://koji.fedoraproject.org/koji/taskinfo?taskID=12928532

Comment 6 Fedora Update System 2016-03-01 21:26:34 UTC
erlang-lfe-0.10.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6d5f21bbd

Comment 7 Fedora Update System 2016-03-02 12:52:11 UTC
erlang-lfe-0.10.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6d5f21bbd

Comment 8 Fedora Update System 2016-03-11 13:27:26 UTC
erlang-lfe-0.10.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.